Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.serverless
Class ConnectionState

    java.lang.Object
      org.jboss.jms.serverless.ConnectionState

public class ConnectionState
extends java.lang.Object

An object that holds the current state of a connection. The state could be one, and only one of DISCONNECTED, STOPPED, STARTED, CLOSED. The instance's lock is used during the operations that change the connection state.

Version:
  $Revision: 1.2 $ $Date: 2005/10/30 00:05:39 $
Author:
  Ovidiu Feodorov

Field Summary
`static int` | `CLOSED`
`static int` | `DISCONNECTED`
`static int` | `STARTED`
`static int` | `STOPPED`

Constructor Summary
`ConnectionState()`

Method Summary
`boolean` | `isClosed()`
`boolean` | `isDisconnected()`
`boolean` | `isStarted()`
`boolean` | `isStopped()`
`void` | `setClosed()`
`void` | `setStarted()`
`void` | `setStopped()`
`static java.lang.String` | `stateToString(ConnectionState cs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISCONNECTED

    public static final int DISCONNECTED

See Also:
  Constant Field Values

### STOPPED

    public static final int STOPPED

See Also:
  Constant Field Values

### STARTED

    public static final int STARTED

See Also:
  Constant Field Values

### CLOSED

    public static final int CLOSED

See Also:
  Constant Field Values

Constructor Detail

### ConnectionState

    public ConnectionState()

Method Detail

### isDisconnected

    public boolean isDisconnected()

### isStopped

    public boolean isStopped()

### isStarted

    public boolean isStarted()

### isClosed

    public boolean isClosed()

### setStopped

    public void setStopped()

### setStarted

    public void setStarted()

### setClosed

    public void setClosed()

### stateToString

    public static java.lang.String stateToString(ConnectionState cs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.